Bug 174454 - radeon_dri.so not packaged
radeon_dri.so not packaged
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 02:25 EST by Ilya Konstantinov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 05:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Konstantinov 2005-11-29 02:25:51 EST
The package is missing the following file:
/usr/X11R6/lib64/modules/dri/radeon_dri.so
This prohibits DRI (and thus, OpenGL acceleration) from working.
Comment 1 Mike A. Harris 2005-11-29 04:05:56 EST
(In reply to comment #0)
> The package is missing the following file:
> /usr/X11R6/lib64/modules/dri/radeon_dri.so
> This prohibits DRI (and thus, OpenGL acceleration) from working.

The 3D drivers are part of "mesa", and are in the mesa-libGL package:

$ rpm -qlp
/mnt/redhat/beehive/comps/dist/fc5/Mesa/6.4-5/x86_64/mesa-libGL-6.4-5.x86_64.rpm
/usr/lib64
/usr/lib64/dri
/usr/lib64/dri/i915_dri.so
/usr/lib64/dri/mga_dri.so
/usr/lib64/dri/r128_dri.so
/usr/lib64/dri/r200_dri.so
/usr/lib64/dri/radeon_dri.so
/usr/lib64/dri/savage_dri.so
/usr/lib64/dri/unichrome_dri.so
/usr/lib64/libGL.so.1
/usr/lib64/libGL.so.1.2


/usr/X11R6/lib64/modules/dri is the directory the 3D drivers existed in
in X11R6 and earlier.  They are now in %{_libdir}/dri however.

Comment 2 Mike A. Harris 2005-12-21 05:56:51 EST
Closing as NOTABUG, as the dri drivers are part of the mesa-libGL package
mentioned previously.

Note You need to log in before you can comment on or make changes to this bug.